> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Queries

> This endpoint allows you to **search for coins, categories and markets listed on CoinGecko**

<Note>
  ### Note

  * The responses are sorted in descending order by market cap.
  * Cache / Update Frequency: every 15 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /search
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /search:
    get:
      tags:
        - Search
      summary: Search Queries
      description: >-
        This endpoint allows you to **search for coins, categories and markets
        listed on CoinGecko**
      operationId: search-data
      parameters:
        - name: query
          in: query
          description: search query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            List of coins, categories and markets matching search term ordered
            by market cap
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Search'
components:
  schemas:
    Search:
      type: object
      properties:
        coins:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: coin ID
              name:
                type: string
                description: coin name
              api_symbol:
                type: string
                description: coin api symbol
              symbol:
                type: string
                description: coin symbol
              market_cap_rank:
                type: number
                description: coin market cap rank
              thumb:
                type: string
                description: coin thumb image url
              large:
                type: string
                description: coin large image url
        exchanges:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: exchange ID
              name:
                type: string
                description: exchange name
              market_type:
                type: string
                description: exchange market type
              thumb:
                type: string
                description: exchange thumb image url
              large:
                type: string
                description: exchange large image url
        icos:
          type: array
          items:
            type: string
        categories:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: category ID
              name:
                type: string
                description: category name
        nfts:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: NFT collection ID
              name:
                type: string
                description: NFT name
              symbol:
                type: string
                description: NFT collection symbol
              thumb:
                type: string
                description: NFT collection thumb image url
      example:
        coins:
          - id: ethereum
            name: Ethereum
            api_symbol: ethereum
            symbol: ETH
            market_cap_rank: 2
            thumb: https://assets.coingecko.com/coins/images/279/thumb/ethereum.png
            large: https://assets.coingecko.com/coins/images/279/large/ethereum.png
          - id: ethereum-classic
            name: Ethereum Classic
            api_symbol: ethereum-classic
            symbol: ETC
            market_cap_rank: 27
            thumb: >-
              https://assets.coingecko.com/coins/images/453/thumb/ethereum-classic-logo.png
            large: >-
              https://assets.coingecko.com/coins/images/453/large/ethereum-classic-logo.png
          - id: sweth
            name: Swell Ethereum
            api_symbol: sweth
            symbol: SWETH
            market_cap_rank: 142
            thumb: >-
              https://assets.coingecko.com/coins/images/30326/thumb/_lB7zEtS_400x400.jpg
            large: >-
              https://assets.coingecko.com/coins/images/30326/large/_lB7zEtS_400x400.jpg
        exchanges:
          - id: uniswap_v3
            name: Uniswap V3 (Ethereum)
            market_type: spot
            thumb: >-
              https://assets.coingecko.com/markets/images/665/thumb/uniswap-v3.png
            large: >-
              https://assets.coingecko.com/markets/images/665/large/uniswap-v3.png
          - id: uniswap_v2
            name: Uniswap V2 (Ethereum)
            market_type: spot
            thumb: >-
              https://assets.coingecko.com/markets/images/535/thumb/256x256_Black-1.png
            large: >-
              https://assets.coingecko.com/markets/images/535/large/256x256_Black-1.png
          - id: curve_ethereum
            name: Curve (Ethereum)
            market_type: spot
            thumb: https://assets.coingecko.com/markets/images/538/thumb/Curve.png
            large: https://assets.coingecko.com/markets/images/538/large/Curve.png
        icos: []
        categories:
          - id: ethereum-ecosystem
            name: Ethereum Ecosystem
          - id: ethereum-classic-ecosystem
            name: Ethereum Classic Ecosystem
          - id: ethereumpow-ecosystem
            name: EthereumPoW Ecosystem
        nfts:
          - id: cyberkongz-genkai
            name: CyberKongz Genkai (Ethereum)
            symbol: GENKAI
            thumb: >-
              https://assets.coingecko.com/nft_contracts/images/3388/thumb/cyberkongz-genkai.png
          - id: ethereum-peppets
            name: Ethereum Peppets
            symbol: PEPPET
            thumb: >-
              https://assets.coingecko.com/nft_contracts/images/3880/thumb/ethereum-peppets.png
          - id: ens-ethereum-name-service
            name: 'ENS: Ethereum Name Service'
            symbol: ENS
            thumb: >-
              https://assets.coingecko.com/nft_contracts/images/373/thumb/ens-ethereum-name-service.png
          - id: league-of-kingdoms-ethereum
            name: League of Kingdoms (Ethereum)
            symbol: LOKR
            thumb: >-
              https://assets.coingecko.com/nft_contracts/images/1001/thumb/league-of-kingdoms-ethereum.jpg
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````